// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/LocationContainer.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__LOCATION_CONTAINER__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__LOCATION_CONTAINER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'event_speed'
#include "etsi_its_denm_msgs/msg/detail/speed__struct.h"
// Member 'event_position_heading'
#include "etsi_its_denm_msgs/msg/detail/heading__struct.h"
// Member 'traces'
#include "etsi_its_denm_msgs/msg/detail/traces__struct.h"
// Member 'road_type'
#include "etsi_its_denm_msgs/msg/detail/road_type__struct.h"

/// Struct defined in msg/LocationContainer in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__LocationContainer
{
  /// --- Auto-generated by asn1ToRosMsg.py ----------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// LocationContainer ::= SEQUENCE {
  ///  eventSpeed Speed OPTIONAL,
  ///  eventPositionHeading Heading OPTIONAL,
  ///  traces Traces,
  ///  roadType RoadType OPTIONAL,
  ///  ...
  /// }
  /// ------------------------------------------------------------------------------
  etsi_its_denm_msgs__msg__Speed event_speed;
  bool event_speed_is_present;
  etsi_its_denm_msgs__msg__Heading event_position_heading;
  bool event_position_heading_is_present;
  etsi_its_denm_msgs__msg__Traces traces;
  etsi_its_denm_msgs__msg__RoadType road_type;
  bool road_type_is_present;
} etsi_its_denm_msgs__msg__LocationContainer;

// Struct for a sequence of etsi_its_denm_msgs__msg__LocationContainer.
typedef struct etsi_its_denm_msgs__msg__LocationContainer__Sequence
{
  etsi_its_denm_msgs__msg__LocationContainer * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__LocationContainer__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__LOCATION_CONTAINER__STRUCT_H_
