// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/SpeedConfidence.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__SPEED_CONFIDENCE__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__SPEED_CONFIDENCE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'MIN'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__MIN = 1
};

/// Constant 'MAX'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__MAX = 127
};

/// Constant 'EQUAL_OR_WITHIN_ONE_CENTIMETER_PER_SEC'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__EQUAL_OR_WITHIN_ONE_CENTIMETER_PER_SEC = 1
};

/// Constant 'EQUAL_OR_WITHIN_ONE_METER_PER_SEC'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__EQUAL_OR_WITHIN_ONE_METER_PER_SEC = 100
};

/// Constant 'OUT_OF_RANGE'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__OUT_OF_RANGE = 126
};

/// Constant 'UNAVAILABLE'.
enum
{
  etsi_its_denm_msgs__msg__SpeedConfidence__UNAVAILABLE = 127
};

/// Struct defined in msg/SpeedConfidence in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__SpeedConfidence
{
  /// --- Auto-generated by asn1ToRosMsg.py ----------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// SpeedConfidence ::= INTEGER {equalOrWithinOneCentimeterPerSec(1), equalOrWithinOneMeterPerSec(100), outOfRange(126), unavailable(127)} (1..127)
  /// ------------------------------------------------------------------------------
  uint8_t value;
} etsi_its_denm_msgs__msg__SpeedConfidence;

// Struct for a sequence of etsi_its_denm_msgs__msg__SpeedConfidence.
typedef struct etsi_its_denm_msgs__msg__SpeedConfidence__Sequence
{
  etsi_its_denm_msgs__msg__SpeedConfidence * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__SpeedConfidence__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__SPEED_CONFIDENCE__STRUCT_H_
