// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from etsi_its_denm_msgs:msg/StationarySince.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_HPP_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


#ifndef _WIN32
# define DEPRECATED__etsi_its_denm_msgs__msg__StationarySince __attribute__((deprecated))
#else
# define DEPRECATED__etsi_its_denm_msgs__msg__StationarySince __declspec(deprecated)
#endif

namespace etsi_its_denm_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct StationarySince_
{
  using Type = StationarySince_<ContainerAllocator>;

  explicit StationarySince_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->value = 0;
    }
  }

  explicit StationarySince_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    (void)_alloc;
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->value = 0;
    }
  }

  // field types and members
  using _value_type =
    uint8_t;
  _value_type value;

  // setters for named parameter idiom
  Type & set__value(
    const uint8_t & _arg)
  {
    this->value = _arg;
    return *this;
  }

  // constant declarations
  static constexpr uint8_t LESS_THAN_1_MINUTE =
    0u;
  static constexpr uint8_t LESS_THAN_2_MINUTES =
    1u;
  static constexpr uint8_t LESS_THAN_15_MINUTES =
    2u;
  static constexpr uint8_t EQUAL_OR_GREATER_15_MINUTES =
    3u;

  // pointer types
  using RawPtr =
    etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> *;
  using ConstRawPtr =
    const etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__etsi_its_denm_msgs__msg__StationarySince
    std::shared_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__etsi_its_denm_msgs__msg__StationarySince
    std::shared_ptr<etsi_its_denm_msgs::msg::StationarySince_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const StationarySince_ & other) const
  {
    if (this->value != other.value) {
      return false;
    }
    return true;
  }
  bool operator!=(const StationarySince_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct StationarySince_

// alias to use template instance with default allocator
using StationarySince =
  etsi_its_denm_msgs::msg::StationarySince_<std::allocator<void>>;

// constant definitions
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr uint8_t StationarySince_<ContainerAllocator>::LESS_THAN_1_MINUTE;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr uint8_t StationarySince_<ContainerAllocator>::LESS_THAN_2_MINUTES;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr uint8_t StationarySince_<ContainerAllocator>::LESS_THAN_15_MINUTES;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr uint8_t StationarySince_<ContainerAllocator>::EQUAL_OR_GREATER_15_MINUTES;
#endif  // __cplusplus < 201703L

}  // namespace msg

}  // namespace etsi_its_denm_msgs

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_HPP_
